Package org.flowable.bpmn.model

# Class FormAwareServiceTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.TaskWithFieldExtensions
org.flowable.bpmn.model.ServiceTask
org.flowable.bpmn.model.FormAwareServiceTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasValidateFormFields`

public class FormAwareServiceTask extends ServiceTask implements HasValidateFormFields

Author:
  Christopher Welsch

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `formKey`
  `protected String`
  `validateFormFields`

  ### Fields inherited from class org.flowable.bpmn.model.ServiceTask

  `CAMEL, CASE_TASK, customProperties, DMN_TASK, extensionId, EXTERNAL_WORKER_TASK, EXTERNAL_WORKER_TASK_LEGACY, HTTP_TASK, implementation, implementationType, MAIL_TASK, operationRef, resultVariableName, SEND_EVENT_TASK, SHELL_TASK, skipExpression, storeResultVariableAsTransient, triggerable, type, useLocalScopeForResultVariable`

  ### Fields inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `fieldExtensions`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormAwareServiceTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFormKey()`
  `String`
  `getValidateFormFields()`
  `void`
  `setFormKey(String formKey)`
  `void`
  `setValidateFormFields(String validateFormFields)`

  ### Methods inherited from class org.flowable.bpmn.model.ServiceTask

  `clone, getCustomProperties, getExtensionId, getImplementation, getImplementationType, getOperationRef, getResultVariableName, getSkipExpression, getType, isExtended, isStoreResultVariableAsTransient, isTriggerable, isUseLocalScopeForResultVariable, setCustomProperties, setExtensionId, setImplementation, setImplementationType, setOperationRef, setResultVariableName, setSkipExpression, setStoreResultVariableAsTransient, setTriggerable, setType, setUseLocalScopeForResultVariable, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `getFieldExtensions, setFieldExtensions`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### validateFormFields

    protected String validateFormFields

  - ### formKey

    protected String formKey

- ## Constructor Details

  - ### FormAwareServiceTask

    public FormAwareServiceTask()

- ## Method Details

  - ### getValidateFormFields

    public String getValidateFormFields()
    Specified by:
      `getValidateFormFields` in interface `HasValidateFormFields`

  - ### setValidateFormFields

    public void setValidateFormFields(String validateFormFields)
    Specified by:
      `setValidateFormFields` in interface `HasValidateFormFields`

  - ### getFormKey

    public String getFormKey()

  - ### setFormKey

    public void setFormKey(String formKey)